Bug 1116018 - Review Request: rubygem-ansi - ruby ansi
Summary: Review Request: rubygem-ansi - ruby ansi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christos Triantafyllidis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1116024
TreeView+ depends on / blocked
 
Reported: 2014-07-03 13:59 UTC by Steve Traylen
Modified: 2015-02-01 23:11 UTC (History)
4 users (show)

Fixed In Version: rubygem-ansi-1.4.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-08 00:40:50 UTC
Type: ---
ctrianta: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2014-07-03 13:59:28 UTC
Spec URL: http://cern.ch/straylen/rpms/rubygem-ansi/rubygem-ansi.spec
SRPM URL: http://cern.ch/straylen/rpms/rubygem-ansi/rubygem-ansi-1.4.3-1.fc20.src
Description:
The ANSI project is a superlative collection of ANSI escape code related
libraries enabling ANSI colorization and styling of 
console output. Byte for byte ANSI is the best ANSI code 
library available for the Ruby programming
language.
Fedora Account System Username: stevetraylen

Comment 1 Christos Triantafyllidis 2014-07-26 23:57:19 UTC
Hello Steve,
   I'll do the review on that.

   First I suspect that the correct URL for SRPM is (I did the review based on that):
http://cern.ch/straylen/rpms/rubygem-ansi/rubygem-ansi-1.4.3-1.fc20.src.rpm
I did a scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7199724

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-ansi, rubygem-ansi-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[!]: License file installed when any subpackage combination is installed.
That needs additional check, I don't see it in the resulted packages but no obvious reason why this is not included although it is available in upstream source. I suspect that it is simply not included in the .gem file. (I'll return to that later)
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
rubygems package requires is missing.
[x]: Spec file is legible and written in American English.
Looks American English to me, minor issue: description is not splitted in 80 (or about 80) chars. It would look better as:
~~~
The ANSI project is a superlative collection of ANSI escape code related
libraries enabling ANSI colorization and styling of console output. Byte for
byte ANSI is the best ANSI code library available for the Ruby programming
language.
~~~
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
As stated above, license file exists upstream but probably not in .gem file, I'll re-visit this.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
Still need to revisit where we lose the license file.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
Checks are disabled due to the fact that test suite gems are not available. Fine with me.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
fedora-review didn't disagrees with me and .spec file
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros:
     /usr/share/gems/specifications/ansi-1.4.3.gemspec, %exclude
     /usr/share/gems/cache/ansi-1.4.3.gem, /usr/share/gems/gems/ansi-1.4.3/lib
fedora-review didn't disagrees with me and .spec file
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: rubygem-ansi-1.4.3-1.fc20.noarch.rpm
          rubygem-ansi-doc-1.4.3-1.fc20.noarch.rpm
          rubygem-ansi-1.4.3-1.fc20.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-ansi-doc rubygem-ansi
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-ansi-doc (rpmlib, GLIBC filtered):
    rubygem-ansi

rubygem-ansi (rpmlib, GLIBC filtered):
    ruby(release)



Provides
--------
rubygem-ansi-doc:
    rubygem-ansi-doc

rubygem-ansi:
    rubygem(ansi)
    rubygem-ansi



Source checksums
----------------
https://rubygems.org/gems/ansi-1.4.3.gem :
  CHECKSUM(SHA256) this package     : 6856749cdb53979e95f7c39fbbb0ac7ae13242364c5c6d2d0657b5d51730a971
  CHECKSUM(SHA256) upstream package : 6856749cdb53979e95f7c39fbbb0ac7ae13242364c5c6d2d0657b5d51730a971


To sum up:
- The only part I'd like to re-visit is the existence of the license file.
- The gems should require rubygems package
- I checked everything on fc20, I see that you include conditionals for el6, do you want this to land in EPEL repos too? Are you going to go back to el5 (didn't see any reference to it)? I'd like to do a sanity check on el5/6 if you plan to build it for them.

Cheers,
Christos

Comment 2 Steve Traylen 2014-07-28 11:00:03 UTC
(In reply to Christos Triantafyllidis from comment #1)

> 
> To sum up:
> - The only part I'd like to re-visit is the existence of the license file.

The LICENSE.txt file is added after the 1.4.3, I'll add the file for sure
with the next release. The COPYING.rdoc file is present now. 


> - The gems should require rubygems package

Indeed, added for el6,7 and fc19,20, it's automatic with 21.

> - I checked everything on fc20, I see that you include conditionals for el6,
> do you want this to land in EPEL repos too? Are you going to go back to el5
> (didn't see any reference to it)? I'd like to do a sanity check on el5/6 if
> you plan to build it for them.

Will not do 5 but will do 6 and 7.

> Cheers,
> Christos

Spec URL: http://cern.ch/straylen/rpms/rubygem-ansi/rubygem-ansi.spec
SRPM URL: http://cern.ch/straylen/rpms/rubygem-ansi/rubygem-ansi-1.4.3-2.fc20.src.rpm

Comment 3 Christos Triantafyllidis 2014-07-31 22:54:24 UTC
Hello Steve,

   Thanks for the updated package + the clarifications.

   I did some tests with EPEL6 too and everything looks fine to me.

   I'm approving the package.

Cheers,
Christos

Comment 4 Steve Traylen 2014-08-04 08:20:34 UTC
New Package SCM Request
=======================
Package Name: rubygem-ansi
Short Description: ANSI at your fingertips!
Upstream URL: http://rubyworks.github.com/ansi
Owners: stevetraylen
Branches: f20 f21 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-08-04 12:20:45 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-08-04 14:15:06 UTC
rubygem-ansi-1.4.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-ansi-1.4.3-2.el6

Comment 7 Fedora Update System 2014-08-04 14:15:13 UTC
rubygem-ansi-1.4.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-ansi-1.4.3-2.fc20

Comment 8 Fedora Update System 2014-08-07 11:47:58 UTC
rubygem-ansi-1.4.3-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2014-08-08 00:40:50 UTC
rubygem-ansi-1.4.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Fedora Update System 2014-08-16 00:25:44 UTC
rubygem-ansi-1.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.